Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Functions | Variables
GeneratorProxyTrait.php File Reference

Go to the source code of this file.

## Functions
| eZ\Publish\Core\Repository\Values::__construct (Generator $generator, $id)
| GeneratorProxyTrait constructor. More...
| eZ\Publish\Core\Repository\Values::__call ($name, $arguments)
| eZ\Publish\Core\Repository\Values::__invoke (... $args)
| eZ\Publish\Core\Repository\Values::__get ($name)
| eZ\Publish\Core\Repository\Values::__isset ($name)
| eZ\Publish\Core\Repository\Values::__unset ($name)
| eZ\Publish\Core\Repository\Values::__set ($name, $value)
| eZ\Publish\Core\Repository\Values::__toString ()
| eZ\Publish\Core\Repository\Values::__sleep ()
| eZ\Publish\Core\Repository\Values::__debugInfo ()
| eZ\Publish\Core\Repository\Values::loadObject ()
| Loads the generator to object value and unset's generator. More...

## Variables
trait | eZ\Publish\Core\Repository\Values::GeneratorProxyTrait
| Trait for proxies, covers all relevant magic methods and exposes private method to load object. More...
| eZ\Publish\Core\Repository\Values::$id
| eZ\Publish\Core\Repository\Values::$generator

## Function Documentation

## ◆ __call()

eZ\Publish\Core\Repository\Values\__call | ( |  | $name,
|  |  | $arguments
| ) |  |

Definition at line 49 of file GeneratorProxyTrait.php.

References eZ\Publish\Core\Repository\Values\__call(), and eZ\Publish\Core\Repository\Values\loadObject().

Referenced by eZ\Publish\Core\Repository\Values\__call().

## ◆ __construct()

eZ\Publish\Core\Repository\Values\__construct | ( | Generator | $generator,
|  |  | $id
| ) |  |

GeneratorProxyTrait constructor.

Parameters

  Generator | $generator |
  mixed | $id | Object id to use for loading the object on demand.

Definition at line 43 of file GeneratorProxyTrait.php.

References eZ\Publish\Core\Repository\Values\$generator, eZ\Publish\Core\Repository\Values\$id, and eZ\Publish\Core\Repository\Values\__construct().

Referenced by eZ\Publish\Core\Repository\Values\__construct().

## ◆ __debugInfo()

eZ\Publish\Core\Repository\Values\__debugInfo | ( |  | ) |

Definition at line 129 of file GeneratorProxyTrait.php.

References eZ\Publish\Core\Repository\Values\__debugInfo(), and eZ\Publish\Core\Repository\Values\loadObject().

Referenced by eZ\Publish\Core\Repository\Values\__debugInfo().

## ◆ __get()

eZ\Publish\Core\Repository\Values\__get | ( |  | $name | ) |

Definition at line 67 of file GeneratorProxyTrait.php.

References eZ\Publish\Core\Repository\Values\__get(), and eZ\Publish\Core\Repository\Values\loadObject().

Referenced by eZ\Publish\Core\Repository\Values\__get().

## ◆ __invoke()

eZ\Publish\Core\Repository\Values\__invoke | ( |  | $args | ) |

Definition at line 58 of file GeneratorProxyTrait.php.

References eZ\Publish\Core\Repository\Values\__invoke(), and eZ\Publish\Core\Repository\Values\loadObject().

Referenced by eZ\Publish\Core\Repository\Values\__invoke().

## ◆ __isset()

eZ\Publish\Core\Repository\Values\__isset | ( |  | $name | ) |

Definition at line 80 of file GeneratorProxyTrait.php.

References eZ\Publish\Core\Repository\Values\__isset(), and eZ\Publish\Core\Repository\Values\loadObject().

Referenced by eZ\Publish\Core\Repository\Values\__isset().

## ◆ __set()

eZ\Publish\Core\Repository\Values\__set | ( |  | $name,
|  |  | $value
| ) |  |

Definition at line 102 of file GeneratorProxyTrait.php.

References eZ\Publish\Core\Repository\Values\__set(), and eZ\Publish\Core\Repository\Values\loadObject().

Referenced by eZ\Publish\Core\Repository\Values\__set().

## ◆ __sleep()

eZ\Publish\Core\Repository\Values\__sleep | ( |  | ) |

Definition at line 120 of file GeneratorProxyTrait.php.

References eZ\Publish\Core\Repository\Values\__sleep(), and eZ\Publish\Core\Repository\Values\loadObject().

Referenced by eZ\Publish\Core\Repository\Values\__sleep().

## ◆ __toString()

eZ\Publish\Core\Repository\Values\__toString | ( |  | ) |

Definition at line 111 of file GeneratorProxyTrait.php.

References eZ\Publish\Core\Repository\Values\__toString(), and eZ\Publish\Core\Repository\Values\loadObject().

Referenced by eZ\Publish\Core\Repository\Values\__toString().

## ◆ __unset()

eZ\Publish\Core\Repository\Values\__unset | ( |  | $name | ) |

Definition at line 93 of file GeneratorProxyTrait.php.

References eZ\Publish\Core\Repository\Values\__unset(), and eZ\Publish\Core\Repository\Values\loadObject().

Referenced by eZ\Publish\Core\Repository\Values\__unset().

## ◆ loadObject()

eZ\Publish\Core\Repository\Values\loadObject | ( |  | ) |
| protected

Loads the generator to object value and unset's generator.

Can only be called once, so check presence of $this->object before using it.

This assumes generator is made to support bulk loading of several objects, and thus takes object id as input in order to return right object at a time, and thus performs two yields per item. -> See PR that came with this trait for example generators.

Definition at line 150 of file GeneratorProxyTrait.php.

References eZ\Publish\Core\Repository\Values\loadObject().

Referenced by eZ\Publish\Core\Repository\Values\__call(), eZ\Publish\Core\Repository\Values\__debugInfo(), eZ\Publish\Core\Repository\Values\Content\ContentProxy\__get(), eZ\Publish\Core\Repository\Values\__get(), eZ\Publish\Core\Repository\Values\__invoke(), eZ\Publish\Core\Repository\Values\Content\ContentProxy\__isset(), eZ\Publish\Core\Repository\Values\__isset(), eZ\Publish\Core\Repository\Values\__set(), eZ\Publish\Core\Repository\Values\__sleep(), eZ\Publish\Core\Repository\Values\__toString(), eZ\Publish\Core\Repository\Values\__unset(), eZ\Publish\Core\Repository\Values\Content\ContentProxy\getContentType(), eZ\Publish\Core\Repository\Values\ContentType\ContentTypeGroupProxy\getDescription(), eZ\Publish\Core\Repository\Values\ContentType\ContentTypeGroupProxy\getDescriptions(), eZ\Publish\Core\Repository\Values\Content\ContentProxy\getField(), eZ\Publish\Core\Repository\Values\Content\ContentProxy\getFields(), eZ\Publish\Core\Repository\Values\Content\ContentProxy\getFieldsByLanguage(), eZ\Publish\Core\Repository\Values\Content\ContentProxy\getFieldValue(), eZ\Publish\Core\Repository\Values\ContentType\ContentTypeGroupProxy\getName(), eZ\Publish\Core\Repository\Values\ContentType\ContentTypeGroupProxy\getNames(), eZ\Publish\Core\Repository\Values\Content\ContentProxy\getVersionInfo(), and eZ\Publish\Core\Repository\Values\loadObject().

## Variable Documentation

## ◆ $generator

eZ::Publish::Core::Repository::Values\$generator
| private

Definition at line 35 of file GeneratorProxyTrait.php.

Referenced by eZ\Publish\Core\Repository\Values\__construct().

## ◆ $id

eZ::Publish::Core::Repository::Values\$id
| protected

Definition at line 32 of file GeneratorProxyTrait.php.

Referenced by eZ\Publish\Core\Repository\Values\__construct().

## ◆ GeneratorProxyTrait

trait eZ::Publish::Core::Repository::Values\GeneratorProxyTrait

Initial value:
{
protected $object

Trait for proxies, covers all relevant magic methods and exposes private method to load object.

Uses generator internally to be able to cleanly execute object load async on-demand.

Meant for internal use by Repository!

Definition at line 18 of file GeneratorProxyTrait.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.